petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetUp

Sets up the internal data structures for the later use of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetUp(KSP ksp)

Collective on KSP Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

Many br

### Keywords

KSP, setup

### See Also

KSPCreate(), KSPSolve(), KSPDestroy()

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex41.c.html